package com.gic.haoban.manage.web.vo.content.share;

import com.gic.haoban.manage.web.vo.content.ContentMaterialInfoVO;
import com.gic.haoban.manage.web.vo.content.MaterialClerkInfo;
import com.gic.haoban.manage.web.vo.content.SimpleGoodsInfoVO;

import java.io.Serializable;
import java.util.List;

/**
 * @Author MUSI
 * @Date 2023/3/17 12:45 PM
 * @Description
 * @Version
 * 素材落地页 信息
 **/
public class ContentMaterialLandingPageVO implements Serializable {

    private static final long serialVersionUID = 5618707014774433110L;

    /**
     * 素材信息 图片/视频、素材内容
     */
    private ContentMaterialInfoVO contentMaterialInfo;

    /**
     * 导购相关信息
     */
    private MaterialClerkInfo materialClerkInfo;

    /**
     * 商品信息
     */
    private List<SimpleGoodsInfoVO> goodsInfos;

    /**
     * 商品类型
     * 0 相关商品
     * 1 热销商品
     */
    private Integer showGoodsType;

    /**
     * 跳转商城按钮权限
     * 1 有权限; 0 无权限
     */
    private Integer mallShop;

    /**
     * 购物车数量
     */
    private Integer shoppingCartNum;


    public ContentMaterialInfoVO getContentMaterialInfo() {
        return contentMaterialInfo;
    }

    public void setContentMaterialInfo(ContentMaterialInfoVO contentMaterialInfo) {
        this.contentMaterialInfo = contentMaterialInfo;
    }

    public MaterialClerkInfo getMaterialClerkInfo() {
        return materialClerkInfo;
    }

    public void setMaterialClerkInfo(MaterialClerkInfo materialClerkInfo) {
        this.materialClerkInfo = materialClerkInfo;
    }

    public List<SimpleGoodsInfoVO> getGoodsInfos() {
        return goodsInfos;
    }

    public void setGoodsInfos(List<SimpleGoodsInfoVO> goodsInfos) {
        this.goodsInfos = goodsInfos;
    }

    public Integer getShowGoodsType() {
        return showGoodsType;
    }

    public void setShowGoodsType(Integer showGoodsType) {
        this.showGoodsType = showGoodsType;
    }

    public Integer getMallShop() {
        return mallShop;
    }

    public void setMallShop(Integer mallShop) {
        this.mallShop = mallShop;
    }

    public Integer getShoppingCartNum() {
        return shoppingCartNum;
    }

    public void setShoppingCartNum(Integer shoppingCartNum) {
        this.shoppingCartNum = shoppingCartNum;
    }
}
